﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site1.Master" AutoEventWireup="true" CodeBehind="grid.aspx.cs" Inherits="DialogEditing.grid" %>



<%@ Register Assembly="Syncfusion.EJ.Web, Version=13.1400.0.21, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89"
    Namespace="Syncfusion.JavaScript.Web" TagPrefix="ej" %>

    <%@ Register Assembly="Syncfusion.EJ, Version=13.1400.0.21, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89"
    Namespace="Syncfusion.JavaScript.Models" TagPrefix="ej" %>



<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">

      <div>
        <ej:Grid ID="FlatGrid" runat="server" AllowSorting="True" OnServerWordExporting="FlatGrid_ServerWordExporting" OnServerPdfExporting="FlatGrid_ServerPdfExporting" OnServerExcelExporting="FlatGrid_ServerExcelExporting" AllowPaging="True">
            <ToolbarSettings ShowToolbar="true" ToolbarItems="printGrid"></ToolbarSettings>
            <ClientSideEvents ActionComplete="complete" ToolbarClick="toolbar" />
            <Columns>
                <ej:Column Field="OrderID" HeaderText="Order ID" IsPrimaryKey="True" TextAlign="Right" Width="75" />
                <ej:Column Field="CustomerID" HeaderText="Customer ID" Width="80" />
                <ej:Column Field="EmployeeID" HeaderText="Employee ID" TextAlign="Right" Width="75" />
                <ej:Column Field="Freight" HeaderText="Freight" TextAlign="Right" Width="75" Format="{0:C}" />
                <ej:Column Field="OrderDate" HeaderText="Order Date" TextAlign="Right" Width="80" Format="{0:MM/dd/yyyy}" />
                <ej:Column Field="ShipCity" HeaderText="Ship City" Width="110" />
            </Columns>
        </ej:Grid>
    </div>

<label id="lblFooter" runat="server" class="copyrights">Copyright © 2001 - 2014 Syncfusion Inc. All Rights Reserved</label>
 <label id="lblHeader" runat="server" class="header">Syncfusion</label>
    <img src="themes/download.png" class="image" />

    <style>
        .header{
            margin-left: 250px;
            font-family : Calibri;
            font-size : 35px;
        }        
    </style>
    <script type="text/javascript">
        function complete(e) {
            $('#<%= FlatGrid.ClientID %>').append($(".copyrights"));
            $('#<%= FlatGrid.ClientID %>').prepend($(".header"));
            $('#<%= FlatGrid.ClientID %>').prepend($(".image"));
        }

        function toolbar(args) {
            if (args.itemName == "Print") {
                args.cancel = true;
                var obj = $('#<%= FlatGrid.ClientID %>').data("ejGrid");
                var ele = obj.element.clone();
                ej.print(ele);
            }
        }
    </script> 
</asp:Content>
